#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021-2022 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <map>

#include <Corrade/Containers/StringView.h>

#include <Magnum/Types.h>

using namespace Corrade;
using namespace Containers::Literals;
using namespace Magnum;

static const std::map<Int, Containers::StringView> accessories {
        // Primitives
        {1,  "Cube (S)"_s},
        {2,  "Pentagon (S)"_s},
        {3,  "Hexagon (S)"_s},
        {4,  "Cylinder (S)"_s},
        {5,  "Sphere (S)"_s},
        {6,  "TriPyramid (S)"_s},
        {7,  "SquPyramid (S)"_s},
        {8,  "PenPyramid (S)"_s},
        {9,  "HexPyramid (S)"_s},
        {10, "Cone (S)"_s},
        {11, "SquStick (S)"_s},
        {12, "PenStick (S)"_s},
        {13, "HexStick (S)"_s},
        {14, "CycStick (S)"_s},
        {15, "Capsule (S)"_s},
        {16, "Decal Pad 01 (S)"_s},
        {17, "Decal Pad 02 (S)"_s},
        {18, "Decal Pad 03 (S)"_s},
        {19, "Decal Pad 04 (S)"_s},
        {20, "Decal Pad 05 (S)"_s},

        {51, "SquBevel (S)"_s},
        {52, "TriBevel (S)"_s},
        {53, "PenBevel (S)"_s},
        {54, "HexBevel (S)"_s},
        {55, "CycBevel (S)"_s},
        {56, "RecBevel (S)"_s},
        {57, "DaiBevel (S)"_s},
        {58, "MonBevel (S)"_s},
        {59, "CofBevel (S)"_s},
        {60, "JevBevel (S)"_s},
        {61, "SquEmboss (S)"_s},
        {62, "TriEmboss (S)"_s},
        {63, "PenEmboss (S)"_s},
        {64, "HexEmboss (S)"_s},
        {65, "CycEmboss (S)"_s},
        {66, "RecEmboss (S)"_s},
        {67, "DaiEmboss (S)"_s},
        {68, "MonEmboss (S)"_s},
        {69, "CofEmboss (S)"_s},
        {70, "JevEmboss (S)"_s},

        // Armours

        // Components

        // Connectors
};
